# Rated Exporter SDK

The Rated Exporter SDK is a powerful and flexible Python library designed to fetch metrics and logs from various cloud providers and monitoring services. It provides a unified interface to interact with different data sources, making it easier for developers to build cross-platform monitoring and analytics tools.

## Features

- Unified API for multiple cloud providers and monitoring services
- Comprehensive error handling and standardized error types across providers
- Type hints for better IDE support and code quality
- Extensible architecture allowing easy addition of new data sources


## Supported Providers

- AWS CloudWatch
- Datadog
- Prometheus
- Google Cloud Monitoring
- Azure Monitor
- (More providers coming soon)

## Installation

You can install the Rated Exporter SDK using pip:

```bash
pip install rated-exporter-sdk
```

## Quick Start

You can see examples of how to use the Rated Exporter SDK in the [examples](examples) directory.


## Contributing

We welcome contributions to the Rated Exporter SDK! Please see our [CONTRIBUTING.md](CONTRIBUTING.md) file for details on how to get started.

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details.

## Support

If you encounter any issues or have questions, please file an issue on our [GitHub issue tracker](https://github.com/rated-network/rated-exporter-sdk/issues).
